%define	semiver		1.14.3
%define	flimver		1.14.3
%define	emacsver	20.7
%define	xemacsver	21.1.14

%define	lispdir		%{_datadir}/emacs/site-lisp
%define pkgdir		%{_libdir}/xemacs/xemacs-packages
%define wlpixdir	%{_datadir}/xemacs-%{xemacsver}/etc/wl


Summary: An IMAP4, POP, and NNTP client for GNU Emacs.
Name: wl
Version: 2.4.1
Release: 6
License: GPL
Group: Applications/Internet
URL: ftp://ftp.gohome.org/wl/beta/
Source0: wl-%{version}.tar.bz2
Source1: wl-init.el
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: emacs-X11, semi
Requires: emacs >= %{emacsver}, semi >= %{semiver}
PreReq: /sbin/install-info


%package xemacs
Summary: An IMAP4, POP, and NNTP client for XEmacs.
Requires: xemacs, semi-xemacs >= %{semiver}
BuildRequires: xemacs semi-xemacs
Group: Applications/Internet
PreReq: /sbin/install-info
ExcludeArch: ia64


%description 
Wanderlust is an IMAP4, POP, and NNTP client on Emacsen. It is written
in 100% pure Emacs lisp, supports MIME (SEMI), and supports
Virtual/Archived/MH Local folders.

This package is for GNU Emacs. You also need to install wl-xemacs for
XEmacs.

%description xemacs
Wanderlust is IMAP4, POP, and NNTP client on Emacsen. It is written in
100% pure Emacs lisp, supports MIME (SEMI), and supports
Virtual/Archived/MH Local folders.

This package is for XEmacs.

%prep
%setup


%build


%install
%{__mkdir_p} $RPM_BUILD_ROOT%{lispdir}/{wl/utils,site-start.d}
%{__mkdir_p} $RPM_BUILD_ROOT%{pkgdir}/lisp/wl/utils
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/info


################# wl (for GNU Emacs) #################

make LISPDIR=$RPM_BUILD_ROOT%{lispdir}
make INFODIR=$RPM_BUILD_ROOT%{_datadir}/info info
make LISPDIR=$RPM_BUILD_ROOT%{lispdir} install
make INFODIR=$RPM_BUILD_ROOT%{_datadir}/info install-info

for f in utils/*.el*; do \
	%{__install} -m 644 $f $RPM_BUILD_ROOT%{lispdir}/wl/utils ; done

%{__install} -m 644 %SOURCE1 $RPM_BUILD_ROOT%{lispdir}/site-start.d

(cd $RPM_BUILD_ROOT && find .%{lispdir} -type f -o -type l | sort | \
	sed -e 's/\.//' > $RPM_BUILD_DIR/wl.files )

make clean


################# wl-xemacs (for XEmacs) #################

%ifnarch ia64
make PIXMAPDIR=$RPM_BUILD_ROOT%{wlpixdir} \
	PACKAGEDIR=$RPM_BUILD_ROOT%{pkgdir} package
make PIXMAPDIR=$RPM_BUILD_ROOT%{wlpixdir} \
	PACKAGEDIR=$RPM_BUILD_ROOT%{pkgdir} install-package

for f in utils/*.el*; do \
	%{__install} -m 644 $f $RPM_BUILD_ROOT%{pkgdir}/lisp/wl/utils ; done

(cd $RPM_BUILD_ROOT && find .%{pkgdir} -type f -o -type l | sort | \
	sed -e 's/\.//' > $RPM_BUILD_DIR/wl-xemacs.files )

%endif


%post
/sbin/install-info %{_infodir}/wl-ja.info.gz %{_infodir}/dir

%postun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/wl-ja.info.gz %{_infodir}/dir
fi
exit 0


%files -f ../wl.files
%defattr(-,root,root)
%doc BUGS BUGS.ja COPYING ChangeLog
%doc %{_datadir}/info/*

%files xemacs -f ../wl-xemacs.files
%defattr(-,root,root)
%doc BUGS BUGS.ja COPYING ChangeLog
%{wlpixdir}/*


%changelog
* Thu Aug 30 2001 SATO Satoru <ssato@redhat.com> - 2.4.1-6
- fixed the listing of the files to install (#51983, #51984)

* Mon Aug 13 2001 SATO Satoru <ssato@redhat.com> - 2.4.1-5
- remove the version which specified at BuildRequires
- ExcludeArch: ia64 (wl-xemacs)
- added the wl-xemacs' description (#51473)
- BuildRequires: emacs-X11 (! emacs)

* Wed Jul 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix group
- Add the info files to the info directory 
- Capitalize and improve summary
- Don't define version and release on top of file
- Don't have macros in description
- s/Copyright/License/

* Wed Jul 23 2001 SATO Satoru <ssato@redhat.com>
- fix [Build]Requires
- exclude ia64 (wl-xemacs)
- comment out (BuildArch: noarch)

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- 2.4.1pre
- clean up SPEC
- make multi-binarized (wl and wl-xemacs) 
- add PreReq

* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- added %%defattr(-,root,root)
- use the internal %%{version} macro instead of using our own %%{ver} definition

* Fri Aug 25 2000 Kazuhisa TAKEI<kazu@redhat.com>
- version 2.2.18
- for Redhat 7.0

* Wed Aug  4 1999 Kazuhisa TAKEI<ktakei@jaist.ac.jp>
- version 2.1.2
- emacs 20.4 base

* Sat May 15 1999 Kazuhisa TAKEI<ktakei@jaist.ac.jp>
- First build
